Dopo aver fatto l'aggiornamento mi viene indicato un errore in riferimento a "focaltech-dkms 1.5 trusty1" e mi invitano a segnalarlo. Dopo la segnalazione mi viene scritto quanto segue: non è possibile segnalare il problema. questo non è un pacchetto ufficiale di ubuntu. rimuovere tutti i pacchetti di terze parti, quindi riprovare. Credo che focaltech mi gestisce il touchpad, inoltre eliminare tutti i pacchetti di terze parti mi potrebbe eliminaredelle funzioni. vorrei un consiglio su cosa fare. il mio computer è un ASUS X555L e come gestore di pacchetti ho SYNAPTIC PACKAGE MANAGER. Grazie

chiesto 06 Set '16, 11:44

Olrac's gravatar image

Olrac
5461628

modificato 24 Ott, 15:00

1

Su quale versione di Ubuntu sei? Posta anche l'output di

apt-cache policy focaltech-dkms
(06 Set '16, 15:31) dadexix86 ♦♦ dadexix86's gravatar image

La mia versione é: Ubuntu 14.04 LTS aggiornato

Questo è l'output focaltech-dkms: Installato: 1.5~trusty1 Candidato: 1.5~trusty1 Tabella versione: *** 1.5~trusty1 0 500 http://ppa.launchpad.net/hanipouspilot/focaltech-dkms/ubuntu/ trusty/main amd64 Packages 100 /var/lib/dpkg/status

(13 Set '16, 14:48) Olrac Olrac's gravatar image
1

Come temevo. Si tratta di un software sviluppato e reso disponibile da un privato che non c'entra nulla con Ubuntu (tal Larry Finger, come spiegato sulla pagina iniziale del ppa).

Come spiegato sempre su quella pagina però

> The repository is obsolete now. The Focaltech touchpads are supported by Ubuntu kernel 4.2 in wily and trusty.

quel repository è obsoleto. Probabilmente hai seguito una guida vecchia per installarlo, che non è adatta alla versione di Ubuntu che hai ora. [...]

(13 Set '16, 15:06) dadexix86 ♦♦ dadexix86's gravatar image
1

[...]

Ti invito caldamente a rimuoverlo il prima possibile (aggiungere un repository esterno è già di per sé un azzardo. Se per di più nemmeno l'autore lo supporta più, ti lascio immaginare i danni che può combinare ;) ).

Per fare ciò, dai in un terminale

sudo add-apt-repository -r ppa:hanipouspilot/focaltech-dkms

Se ci sono errori postali qui prima di procedere. Se non ci sono errori, riavvia.

(13 Set '16, 15:08) dadexix86 ♦♦ dadexix86's gravatar image

Voglio procedere così come mi consigli, quindi voglio digitare sul mio terminale quello che hai scritto, ma prima di farlo vorrei capire il significato dell'ultima frase che hai scritto che non riesco a capire "Se ci sono errori postali qui prima di procedere. Se non ci sono errori, riavvia"

(13 Set '16, 15:33) Olrac Olrac's gravatar image

Non ce l'ho fatta ad aspettare la risposta ed ho digitato quello che mi hai suggerito sul terminale. Tutto è andato regolare ed ho riavviato. Credi che ora sono a posto o devo verificare in qualche modo?

(13 Set '16, 15:57) Olrac Olrac's gravatar image

Direi che ora sei a posto.

La mia frase era che se il processo ti resituiva a video degli errori dovevi scriverli qui, prima di procedere a fare altro.

Dato che è andato tutto liscio, nessun problema.

(13 Set '16, 19:06) dadexix86 ♦♦ dadexix86's gravatar image

Funziona tutto? Se sì, ti scrivo in risposta il commento sopra e poi accettala...

(14 Set '16, 14:18) dadexix86 ♦♦ dadexix86's gravatar image

Funziona tutto. Mettila come risposta ed io l'accetto. Grazie

(15 Set '16, 03:29) Olrac Olrac's gravatar image

Si tratta di un software sviluppato e reso disponibile da un privato (come spiegato sulla pagina iniziale del ppa).

Come spiegato sempre su quella pagina però

The repository is obsolete now. The Focaltech touchpads are supported by Ubuntu kernel 4.2 in wily and trusty. quel repository è obsoleto. Probabilmente hai seguito una guida vecchia per installarlo, che non è adatta alla versione di Ubuntu che hai ora. [...]

Ti invito caldamente a rimuoverlo il prima possibile (aggiungere un repository esterno è già di per sé un azzardo. Se per di più nemmeno l'autore lo supporta più, ti lascio immaginare i danni che può combinare ;) ).

Per fare ciò, dai in un terminale

sudo add-apt-repository -r ppa:hanipouspilot/focaltech-dkms
coll. permanente

ha risposto 16 Set '16, 12:08

dadexix86's gravatar image

dadexix86 ♦♦
16.9k816161

Ho riavuto lo stesso problema. Ho rifatto l'output di apt-cache policy focaltech-dkms e mi ha ridato la stessa risposta: focaltech-dkms: Installato: 1.5~trusty1 Candidato: 1.5~trusty1 Tabella versione: *** 1.5~trusty1 0 500 http://ppa.launchpad.net/hanipouspilot/focaltech-dkms/ubuntu/ trusty/main amd64 Packages 100 /var/lib/dpkg/status Devo rifare la stessa procedura?

(23 Set '16, 05:34) Olrac Olrac's gravatar image

Ma hai rimesso il ppa?

In teoria quel ppa dovrebbe essere stato cancellato dal tuo sistema...

Comunque sì, rifai la procedura.

(23 Set '16, 10:10) dadexix86 ♦♦ dadexix86's gravatar image

Ho ridigitato sul terminale: sudo add-apt-repository -r ppa:hanipouspilot/focaltech-dkms

Poi ho rivisitato l'output digitando: apt-cache policy focaltech-dkms e la risposta è questa:

carlo@carlo-X555LJ:~$ apt-cache policy focaltech-dkms focaltech-dkms: Installato: 1.5~trusty1 Candidato: 1.5~trusty1 Tabella versione: *** 1.5~trusty1 0 100 /var/lib/dpkg/status carlo@carlo-X555LJ:~$

La risposta è decisamente diversa. Mi confermi che con questa risposta siamo riusciti a debellare quello che volevamo?

(24 Set '16, 04:37) Olrac Olrac's gravatar image

Non acnora. È ancora installato, ma è come se l'avessi installato manualmente da file .deb. Disinstallalo con

sudo apt-get purge focaltech-dkms
(24 Set '16, 11:47) dadexix86 ♦♦ dadexix86's gravatar image

FATTO. sudo apt-get purge focaltech-dkms

Ho rifatto l'outpu: apt-cache policy focaltech-dkms e questa è la risposta:

carlo@carlo-X555LJ:~$ apt-cache policy focaltech-dkms N: Impossibile trovare il pacchetto focaltech-dkms carlo@carlo-X555LJ:~$

Sono a posto ora?

(25 Set '16, 10:02) Olrac Olrac's gravatar image

Ottimo! Ora è tutto pulito :)

(25 Set '16, 10:57) dadexix86 ♦♦ dadexix86's gravatar image
La tua risposta
abilita/disabilita anteprima

Segui questa domanda

Via email:

Una volta eseguito l'accesso potrai iscriverti a tutti gli aggiornamenti qui

Via RSS:

Risposte

Risposte e commenti

Basi di markdown

  • *corsivo* o __corsivo__
  • **grassetto** o __grassetto__
  • collegamento:[testo](http://url.com/ "titolo")
  • immagine?![alt testo](/path/img.jpg "titolo")
  • elenco numerato: 1. Foo 2. Bar
  • per aggiungere un'interruzione di riga, aggiungi due spazi a fine riga e premi «Invio»
  • è supportato anche semplice HTML

Tag:

×170

domanda posta: 06 Set '16, 11:44

domanda visualizzata: 742 volte

ultimo aggiornamento: 24 Ott, 15:00

Chiedi è un servizio di supporto gestito da Ubuntu-it. Contattaci!

powered by OSQAPostgreSQL database
Ubuntu e Canonical sono marchi registrati da Canonical Ltd.